Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ws.commons.schema
Class XmlSchemaKeyref

    java.lang.Object
      org.apache.ws.commons.schema.XmlSchemaObject
          org.apache.ws.commons.schema.XmlSchemaAnnotated
              org.apache.ws.commons.schema.XmlSchemaIdentityConstraint
                  org.apache.ws.commons.schema.XmlSchemaKeyref

    public class XmlSchemaKeyref

extends XmlSchemaIdentityConstraint

Identifies a keyref constraint. Represents the World Wide Web Consortium (W3C) keyref element.

Field Summary

Fields inherited from class org.apache.ws.commons.schema.XmlSchemaAnnotated
`unhandledAttributes`

Constructor Summary
`XmlSchemaKeyref()` Creates new XmlSchemaKeyref

Method Summary
`javax.xml.namespace.QName` | `getRefer()`
`void` | `setRefer(javax.xml.namespace.QName refer)`

Methods inherited from class org.apache.ws.commons.schema.XmlSchemaIdentityConstraint
`getFields, getName, getSelector, setName, setSelector`

Methods inherited from class org.apache.ws.commons.schema.XmlSchemaAnnotated
`getAnnotation, getId, getUnhandledAttributes, setAnnotation, setId, setUnhandledAttributes, toString`

Methods inherited from class org.apache.ws.commons.schema.XmlSchemaObject
`addMetaInfo, equals, getLineNumber, getLinePosition, getMetaInfoMap, getSourceURI, setLineNumber, setLinePosition, setMetaInfoMap, setSourceURI, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XmlSchemaKeyref

    public XmlSchemaKeyref()

  Creates new XmlSchemaKeyref

Method Detail

### getRefer

    public javax.xml.namespace.QName getRefer()

### setRefer

    public void setRefer(javax.xml.namespace.QName refer)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2009 The Apache Software Foundation. All Rights Reserved.